Bug 189058 - multimedia/webcamd: Lenovo Thinkpad E530 webcam doesn't detected by webcamd
Summary: multimedia/webcamd: Lenovo Thinkpad E530 webcam doesn't detected by webcamd
Status: In Progress
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Hans Petter Selasky
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-27 19:30 UTC by Alexandr Krivulya
Modified: 2018-01-12 01:32 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandr Krivulya 2014-04-27 19:30:00 UTC
Lenovo Thinkpad E530 webcam doesn't work on my laptop:

root@thinkpad:/home/shurik #  usbconfig -d 2.3 dump_device_desc
ugen2.3: <NoData Ricoh co.,Ltd.> at usbus2, cfg=0 md=HOST spd=HIGH (480Mbps) pwr=ON (100mA)

  bLength = 0x0012 
  bDescriptorType = 0x0001 
  bcdUSB = 0x0200 
  bDeviceClass = 0x00ef 
  bDeviceSubClass = 0x0002 
  bDeviceProtocol = 0x0001
  bMaxPacketSize0 = 0x0040
  idVendor = 0x05ca       
  idProduct = 0x18ff     
  bcdDevice = 0x0301
  iManufacturer = 0x0001  <Ricoh co.,Ltd.>
  iProduct = 0x0002  <NoData>
  iSerialNumber = 0x0003  <0>
  bNumConfigurations = 0x0001


root@thinkpad:/home/shurik # webcamd -d 2.3
Linux video capture interface: v2.00
lirc_dev: IR Remote Control driver registered, major 14 
IR NEC protocol handler initialized
IR RC5(x) protocol handler initialized
IR RC6 protocol handler initialized
IR JVC protocol handler initialized
IR Sony protocol handler initialized
IR RC5 (streamzap) protocol handler initialized
IR SANYO protocol handler initialized
IR LIRC bridge handler initialized
b2c2-flexcop: B2C2 FlexcopII/II(b)/III digital TV receiver chip loaded successfully
uvcvideo: Unable to create debugfs directory
USB Video Class driver (1.1.1)
cpia2: V4L-Driver for Vision CPiA2 based cameras v3.0.1
au0828 driver loaded
pvrusb2: V4L in-tree version:Hauppauge WinTV-PVR-USB2 MPEG2 Encoder/Tuner
pvrusb2: Debug mask is 31 (0x1f)
USBVision USB Video Device Driver for Linux : 0.9.11
Em28xx: Initialized (Em28xx dvb Extension) extension
Attached to ugen2.3[0]
uvcvideo: Found UVC 1.00 device NoData (05ca:18ff)
uvcvideo: UVC non compliance - GET_DEF(PROBE) not supported. Enabling workaround.
uvcvideo: Failed to query (129) UVC probe control : -32 (exp. 26).
uvcvideo: Failed to initialize the device (-5).
webcamd: Cannot find USB device
Comment 1 Mark Linimon 2014-04-29 02:20:36 UTC
----- Forwarded message from Hans Petter Selasky <hps@selasky.org> -----

Hi,

Can you try to install webcamd from:

svn --username anonsvn --password anonsvn \
      checkout svn://svn.turbocat.net/i4b/trunk/ports

And see if this issue is already fixed. You might also need to install
a fresh cuse4bsd kernel module. Else you maybe need to send an e-mail
to:

linux-media@vger.kernel.org

about this problem.

--HPS

----- End forwarded message -----
Comment 2 Alexandr Krivulya 2014-05-05 08:31:42 UTC
> ----- Forwarded message from Hans Petter Selasky <hps@selasky.org> -----
>
> Hi,
>
> Can you try to install webcamd from:
>
> svn --username anonsvn --password anonsvn \
> checkout svn://svn.turbocat.net/i4b/trunk/ports
>
> And see if this issue is already fixed. You might also need to install
> a fresh cuse4bsd kernel module. Else you maybe need to send an e-mail
> to:
>
> linux-media@vger.kernel.org
>
> about this problem.
>
> --HPS
>
> ----- End forwarded message -----

Hi, using webcamd and cuse4bsd from this svn repo didn't solve my
problem, webcam still not detected. I'll try to contact
linux-media@vger.kernel.org
Comment 3 Thierry Thomas freebsd_committer 2014-06-01 08:10:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->hselasky


Assign to maintainer.
Comment 4 w.schwarzenfeld freebsd_triage 2018-01-12 01:32:43 UTC
No reply since 2014-06-01.